SUMMARY = "uvc-xarina package"
DESCRIPTION = "UVC gadget library for Xarina"
LICENSE = "Proprietary & GPLv2"
SECTION = "devel"
LIC_FILES_CHKSUM = "file://${WORKDIR}/COPYING.sony;md5=ba89902b64ca0a242d662bc01dc5a952"
LIC_FILES_CHKSUM+= "file://${WORKDIR}/COPYING.gplv2;md5=fc4cd2237dee239171b157ebc85bab75"

PR = "r0"

SRC_URI = "file://Makefile \
	file://uvc-xarina.c \
	file://COPYING.sony \
	file://COPYING.gplv2"

DEPENDS = "libguvc xarina-app mw"
RDEPENDS_${PN} = "libguvc mw"

S = "${WORKDIR}"

FILES_${PN} += "${XARINA_LOCAL_DIR}/util/*"
FILES_${PN}-dbg += "${XARINA_LOCAL_DIR}/util/.debug/*"

do_compile() {
	oe_runmake CC="${CC} -L${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/lib -L${STAGING_DIR_HOST}${XARINA_MW_DIR}/lib -L${STAGING_DIR_HOST}${XARINA_APP_DIR}/lib" CXX="${CXX} -L${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/lib" AR="${AR}" STAGING_INCDIR="${STAGING_INCDIR} -I${STAGING_DIR_HOST}${XARINA_MW_DIR}/include -I${STAGING_DIR_HOST}${XARINA_LOCAL_DIR}/util/libguvc/include"
}


do_install () {
    install -d ${D}${XARINA_LOCAL_DIR}/util/
	install -m 0755 ${WORKDIR}/uvc-xarina ${D}${XARINA_LOCAL_DIR}/util/uvc-xarina
}

